


import 'package:json_annotation/json_annotation.dart';
import 'list_lesson.dart';

part 'chapters.g.dart';
@JsonSerializable()
class Chapters {
  String? chapterId;
  String? courseId;
  String? name;
  int? sortorder;
  String? openType;
  double? openAfter;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  List<ListLesson>? listLesson;
  int? chapterFirstRow;
  int? chapterLastRow;

  Chapters(
      {this.chapterId,
        this.courseId,
        this.name,
        this.sortorder,
        this.openType,
        this.openAfter,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.listLesson,
        this.chapterFirstRow,
        this.chapterLastRow});

  factory Chapters.fromJson(Map<String, dynamic> json) => _$ChaptersFromJson(json);

  Map<String, dynamic> toJson() => _$ChaptersToJson(this);
}