

import 'package:json_annotation/json_annotation.dart';

import 'list_part.dart';


part 'list_lesson.g.dart';
@JsonSerializable()
class ListLesson {
  String? lessonId;
  String? chapterId;
  String? name;
  bool? free;
  int? sortorder;
  String? openType;
  double? openAfter;
  String? completeType;
  int? minView;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  List<ListPart>? listPart;
  bool? competeLesson;
  int? lessonFirstRow;
  int? lessonLastRow;

  ListLesson(
      {this.lessonId,
        this.chapterId,
        this.name,
        this.free,
        this.sortorder,
        this.openType,
        this.openAfter,
        this.completeType,
        this.minView,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.listPart,
        this.competeLesson,
        this.lessonFirstRow,
        this.lessonLastRow});
  factory ListLesson.fromJson(Map<String, dynamic> json) => _$ListLessonFromJson(json);

  Map<String, dynamic> toJson() => _$ListLessonToJson(this);

}