import 'package:flutter/material.dart';

abstract class Languages {
  String get labelSelectLanguage;

  static Languages? of(BuildContext context) {
    return Localizations.of<Languages>(context, Languages);
  }




  String get appName;
  String get login;
  String get singin;
  String get phoneNumber;
  String get errorMessage;
  String get userNameError;
  String get userName;
  String get email;
  String get phoneError;
  String get lastNameError;
  String get firstNameError;
  String get passwordError;
  String get emailError;
  String get lastName;
  String get firstName;
  String get loading;
  String get password;
  String get rules;
  String get forgotPassword;
  String get myCurse;
  String get courseOther;
  String get courseTypical;
  String get english;
  String get vietname;
  String get math;
  String get science;
  String get technology;
  String get home;
  String get retry;
  String get close;
  String get error;
  String get notify;
  String get account;
  String get no_data;
  String get registerDate;
  String get programStudy;
  String lesson(int lesson);
  String get trending;
  String get part;
  String get registerCourseError;
  String get expiredSession;
  String get someThing;
  String get internalServer;
  String get badRequest;
  String get sendTimeout;
  String get receiveTimeout;
  String get connectTimeout;
  String get cancel;
  String get success;
  String get logoutMessage;
  String get logout;
  String get rating;
  String get setting;
  String get analytics;
  String get accept;
  String get welcome;
  String get notCourse;
  String get registered;
  String get done;
  String get comingSoon;
  String get search;
  String get searchCource;
  String get studentInfo;
  String get info;
  String get listTeacher;
  String get infoCourses;
  String get pleaseRegisterCourses;
  String get parentName;
  String get requireInfo;
  String get registerCoursesTitle;
  String get waitingApproved;
  String get sendInfo;
  String get registerCoursesSuccess;
  String get numberPhoneExist;
  String get registerCourses;
  String get example;
  String get answer;
  String get exercise;
  String get content;
  String get teacher;
  String get teacher2;
  String get yourTeacher;
  String get level0;
  String get level1;
  String get level2;
  String get level3;
  String get courses;
  String get coursesFree;
  String get classFree;
  String get coursesDetail;
  String get seemore;
  String get titleBanner;
  String get contentBanner;
  String get ongbutHelp;
  String get playlist;
  String get myCourse;
  String get support;
  String get contentSearch;
  String version(String code);
  String get teamTeacher;
  String get description;
  String get birthday;
  String get introduce;
  String get admissions;
  String get admissionsMessage;
  String get goldBoard;
  String get goldBoardMessage;
  String get introduceMessage;
  String get transferMessage;
  String get contact;
  String get solution;
  String get createPost;
  String get chat;
  String get sent;
  String get studyOnline;
  String get experience;
  String get registeredMember;
  String get parentsComment;
  String get grade;
  String get grade1;
  String get grade2;
  String get grade3;
  String get grade4;
  String get grade5;
  String get grade6;
  String get grade7;
  String get grade8;
  String get grade9;
  String get grade10;
  String get grade11;
  String get grade12;
  String get otherCourses;
  String get appbarAccount;
  String get loadMore;
  String get classes;
  String get viewAll;
  String get online;
  String get offline;
  String get join;
  String get more;
  String get master;
  String get testDay;
  String get code;
  String get share;
  String get help;
  String get downloadNow;
  String get MD;
  String get humansChecked;
  String get humansFollow;
  String get topic;
  String get activate;
  String get picFormCamera;
  String get subPicFormCamera;
  String get searchClasses;
  String get teacherListCourse;
  String get post;
  String get selectPic;
  String get hello;
  String get inforUser;
  String get processStudy;
  String get question;
  String get reviewApp;
  String get privacyPolicy;
  String get changePass;
  String get ongBut;
  String get contactInfor;
  String get inforPerson;
  String get obShare;
  String get golden;
  String get onlineClasses;
  String get offlineClasses;
  String get infoCourse;
  String get comment;
  String get privateAgency;
  String get codeTax;
  String get addressMail;
  String get courseOnline;
  String get courseOffline;
  String get doExercise;
  String get childrenName;
  String get fullNameError;
  String get parent;
  String get emailNull;
  String get address;
  String get addressNull;
  String get bod;
  String get birthdayNull;
  String get updateUserInfo;
  String get falses;
  String get mockTest;
  String get choseSubject;
  String get suggestTest;
  String get unRegister;
  String get cau;
  String get choseAnswers;
  String get submit;
  String get updatePost;
  String get update;
  String get dismiss;
  String get deletePost;
  String get save;
  String get recharge;
  String get postDetail;
  String get notSubmitAgain;
  String get ratingCourses;
  String get editDetailPost;
  String get registerSuccess;
  String get reactChat;
  String get answering;
  String get destroyComment;
  String get courseSorry;
  String get requireLogin;
  String get coursePending;
  String get loginForCourse;
  String get contest;
  String get document;
  String get test;
  String get outOfTime;
  String get topWeek;
  String get topMonth;
  String get topAll;
  String get rankValue;
  String get point;
  String get positionNull;
  String get onlineC;
  String get offlineC;
  String get myClass;
  String get session;
  String get searchLesson;
  String get no_class;
  String get no_course;
  String get course_comment;
  String get teacherNoDetail;
  String get CommentCouse;
  String get waiting;
  String get nullText;
  String get courseWaiting;
  String get oldPass;
  String get oldPassError;
  String get newPass;
  String get newPassError;
  String get newPassRe;
  String get newPassReError;
  String get saveChange;
  String get ok;
  String get enterPass;
  String get wrongPass;
  String get transferTitle;
  String get applePay;
  String get transferAccount;
  String price(String money);
  String get classDetail;
  String get paymentSuccess;
  String get setupPass;
  String get passDiff;
  String get noEmptyFiled;
  String get resetPass;
  String get payment;
  String get paymentMethod;
  String get tpbank;
  String get mbbank;
  String get newPasswordNotWork;
  String get oldPassErrorTwo;
  String get newPassSuccess;
  String get oldPassSameNewPass;
  String get seeDocNow;
  String get teacherInfo;
  String get teacherSubject;
  String get specialize;
  String get level;
  String get listTestExample;
  String get time;
  String get minute;
  String get errTitleContact;
  String get exerciseAnswer;
  String get topicExam;
  String get student;
  String get accountSentSuccess;
  String get studentBirth;
  String get discuss;
  String get reviewCourse;
  String get news;
  String get newsDetail;
  String get courseNotYet;
  String get classComment;
  String get inputAnswer;
  String get applePayError;
  String get classOnline;
  String get yearsOfExperience;
  String get passBad;
  String get supperGood;
  String get wellDone;
  String get bad;
  String get deleteAccount;
  String get confirmDeleteAccount;
  String get answerSecond;
  String get questionTutor;
  String get connectTutor;
  String get calculator;
  String get translate;
  String get studySpace;
  String get selectTopic;
  String get emailEmpty;
  String get phoneEmpty;
  String get titleZoom;
  String get result;
  String get type;
  String get questionResult;
  String get right;
  String get wrong;
  String get averageExam;
  String get exellent;
  String get good;
  String get goodless;
  String get low;
  String get QA;
  String get classHome;
  String get person;
  String get registerInformationTitle;
  String get requestHomework1;
  String get requestHomework2;
  String get note;
  String get anwserHomework;
  String get choseImage;
  String get submitAnwserSuccess;
  String get pointUp;
  String get commentTeacher;
  String get resultStudy;
  String get classStudy;
  String get submitAgain;
  String get trial;
  String get errorLogin;
  String get accountDisabled;
  String get users500;
  String get class100;
  String get top10;
  String get course100;
  String get school10;
  String get cashback;
  String get editExercise;
  String get seeExercise;
  String get centres;
  String get trialStudy;
  String get registerClass;
  String get usernameLogin;
  String get updateVersion;
  String get updateVersionMessage;
  String get photo;
  String get monday;
  String get tuesday;
  String get wednesday;
  String get thursday;
  String get friday;
  String get saturday;
  String get sunday;
  String get schedule;
  String get onlineSchedule;
  String get centerSchedule;
  String get admin;
  String get managerSchool;
  String get systemSchool;
  String get ceo;
  String get accountant;
  String get employee;
  String get partner;
  String get messageRole;
  String get roleUser;
  String get turnover;
  String get profit;
  String get accountName;
  String get accountNameEmpty;
  String get studyForm;
  String get subject;
  String get schoolList;
  String get declared;
  String get tuition;
  String get doneExam;
  String get registerFailure;
  String get resultAI;
  String get answerAI;
  String get web;
  String get tutorOngBut;
  String get differentOrigin;
  String get professional;
  String get see;
  String get askQuestion;
  String get theAnswer;
  String get understood;
  String get agree;
  String get becomeTutor;
  String get wallet;
  String get history;
  String get yearsOfExpericence;
  String get workUnit;
  String get aboutMyself;
  String get notEmpty;
  String get selectGrade;
  String get selectSubject;
  String get rankTutor;
  String get gold;
  String get justInfo;
  String get convertGold;
  String get withdrawMoney;
  String get justRecharge;
  String get questionTutorBut;
  String get submitTutor;
  String get requireStudent;
  String get enterContent;
  String get selectSubjectNull;
  String get selectGradeNull;
  String get notEnoughGold;
  String get submitTutorSuccess;
  String get status;
  String get tutor;
  String get processingTutor;
  String get processedTutor;
  String get donateGold;
  String get invalidTime;
  String get processing;
  String get completed;
  String get createdDate;
  String get transactionCode;
  String get addACard;
  String get createNewBankInfo;
  String get accountOwnerName;
  String get inputAmount;
  String get accountOwnerNumber;
  String get reciteLession;
  String get reject;
  String get rejectAnswerTutor;
  String get failureAgain;
  String get sourceContent;
  String get transSource;
  String get doAnswer;
  String get giveGold;
  String get confirmAnswer;
  String get compile;
  String get bankAccountNotFound;
  String get requireEnterInfo;
  String get removeBankConfirm;
  String get minimumGoldRequired;
  String get accountBalanceProblem;
  String get pendingGoldTransaction;
  String get atleast100Gold;
  String get valid;
  String get notEnoughMoney;
  String get whatisgold;
  String get fillallFields;
  String get loginRequire;
  String get report;
  String get answerReject;
  String get destroyQuestion;
  String get whatIsGoldUsedFor;
  String get goldIs;
  String get goldUsedFor;
  String get currentOwnerGold;
  String get transaction;
  String get tutorInfo;
  String get studyResult;
  String get doAgain;
  String get createNewPwd;
  String get currentPwd;
  String get newPwd;
  String get confirmPwd;
  String get setupNewPwdSuccessfully;
  String get emailNotification;
  String get copied;
  String get BTVN;
  String get lockTutor;
  String get public;
  String get school;
  String get statistical;
  String get book;
  String get createBook;
  String get takePhoto;
  String get selectImages;
  String get handBook;
  String get createBookImage;
  String get createHandBook;
  String get contentDialogHandBook;
  String get reportTutor;
  String get pleaseEnterReport;
  String get selectAndquestion;
  String get destroyEdit;
  String get titleDialogQuestionTutor;
  String get contentDialogQuestionTutor1;
  String get contentDialogQuestionTutor2;
  String get titleRatingStarTutor;
  String get titleGoldPayBack;
  String get conditionGoldPay;
  String get feeConditionsGold;
  String get titleIntroduceTutor1;
  String get titleIntroduceTutor2;
  String get subjectNotSelect;
  String get gradeNotSelect;
  String get expEmpty;
  String get positionEmpty;
  String get introducePerson;
  String get khongCo;
  String get answerDetail;
  String get answerPlash;
  String get questionConcept;
  String get enterRequest;
  String get all;
  String get requestNew;
  String get tutorAnswer;
  String get waitConfirmStudent;
  String get answerAccept;
  String get principal;
  String get goToClass;
  String get buildSchoolPromise;
  String get refundPromise;
  String get intro;
  String get overview;
  String get title1;
  String get title2;
  String get title3;
  String get content1;
  String get content2;
  String get content3;
  String get content4;
  String get content5;
  String get content6;
  String get content7;
  String get content8;
  String get content9;
  String get content10;
  String get content11;
  String get content12;
  String get content13;
  String get content14;
  String get content15;
  String get mrBut;
  String get commitment;
  String get obPromise;
  String get whyShouldUChoose;
  String get contactContent1;
  String get contactContent2;
  String get termsOfService;
  String get tOSIntro;
  String get rule1Title;
  String get rule2Title;
  String get rule3Title;
  String get rule4Title;
  String get rule5Title;
  String get rule6Title;
  String get rule7Title;
  String get rule8Title;
  String get rule1Content1;
  String get rule1Content2;
  String get rule1Content3;
  String get rule2Content1;
  String get rule2Content2;
  String get rule2Content3;
  String get rule2Content4;
  String get rule2Content5;
  String get rule2Overview;
  String get rule2ContentsCreatedByUserHaveTo;
  String get rule3Content1;
  String get rule3Content2;
  String get rule3Content3;
  String get rule3Content4;
  String get rule3Content5;
  String get rule3Content6;
  String get rule3Content7;
  String get rule3Content8;
  String get rule3Content9;
  String get rule3Content10;
  String get rule4Content1;
  String get rule4Content2;
  String get rule4Content3;
  String get rule5Content1;
  String get rule5Content2;
  String get rule5Overview;
  String get rule6PartATitle;
  String get rule6PartBTitle;
  String get rule6PartAContent;
  String get rule6PartBContent1;
  String get rule6PartBContent2;
  String get rule7Overview;
  String get rule7Content1;
  String get rule7Content2;
  String get rule7Content3;
  String get rule7Content4;
  String get rule7Content5;
  String get rule7Content6;
  String get rule7Content6FirstPoint;
  String get rule7Content6SecondPoint;
  String get rule7Content6ThirdPoint;
  String get rule7Content6FourthPoint;
  String get rule7Content7;
  String get rule7Content8;
  String get rule7Content9;
  String get rule7Content10;
  String get rule8Content1;
  String get rule8Content11;
  String get rule8Content2;
  String get rule8Content3;
  String get rule8Content4;
  String get rule8Content5;
  String get rule8Content6;
  String get rule8Content7;
  String get rule8Content8;
  String get rule8Content9;
  String get rule8Content10;
  String get contentCreatedByUser;
  String get securityPolicyOverview1;
  String get securityPolicyOverview2;
  String get sPRule1;
  String get sPRule2;
  String get sPRule3;
  String get sPRule4;
  String get sPRule5;
  String get sPRule6;
  String get sPRule7;
  String get sPRule8;
  String get sPRule1Content1;
  String get sPRule1Content2;
  String get sPRule2Content1;
  String get sPRule2Content1FirstPoint;
  String get sPRule2Content1SecondPoint;
  String get sPRule2Content1ThirdPoint;
  String get sPRule2Content1FourthPoint;
  String get sPRule2Content1FifthPoint;
  String get sPRule2Content2;
  String get sPRule3Content1;
  String get sPRule3Content2;
  String get sPRule3Content2FirstPoint;
  String get sPRule3Content2SecondPoint;
  String get sPRule3Content3;
  String get sPRule3Content4;
  String get sPRule3Content5;
  String get sPRule4Content1;
  String get sPRule4Content2;
  String get sPRule5Content1;
  String get sPRule5Content2;
  String get sPRule5Content3;
  String get sPRule6Content1;
  String get sPRule6Content2;
  String get sPRule6Content3;
  String get sPRule6Content4;
  String get sPRule7Content1;
  String get sPRule7Content2;
  String get sPRule7Content3;
  String get sPRule7Content4;
  String get sPRule8Content1;
  String get sPRule8Content2;
  String get sPRule8Content3;
  String get sPRule8Content4;
  String get sPRule8Content5;
  String get sPRule8Content6;
  String get sPRule8Content7;
  String get schoolInfo;
  String get teachingSchedule;
  String get canceled;
  String get waitingForTutor;
  String get waitingForAccept;
  String get createDay;
  String get connect;
  String get listScore;
  String get itCourses;
  String get numberOfStudent;
  String get lecture;
  String get pleaseTapCamera;
  String get comebackLater;
  String get itClass;
  String get confirm;
}
